import { Injectable } from '@angular/core';

export class AppConfig {
  backendUrls: {
    organizations: string;
    resources: string;
    credits: string;
    changelog: string;
    auth: string;
    middlewareLegacyAuth: string;
    email: string;
    matomo: string;
    elasticsearch: string;
    catalogue: string;
    reuses: string;
    geocoder: string;
    wms: string;
    mvt: string;
    seo: string;
    openMapTiles: string;
  };
  theFunctionalitiesInterruptor: {
    credits: boolean;
    reuses: boolean;
    partners: boolean;
  };
}

export let APP_CONFIG: AppConfig = new AppConfig();

@Injectable()
export class AppConfigService {

  constructor() { }

  public load() {
    return new Promise((resolve, reject) => {
      const conf = new AppConfig();
      APP_CONFIG = Object.assign(conf, window['portailDataEnvConfig']);
      resolve();
    });
  }
}
