import { CMSPageComponent } from './cms-page/cms-page.component';
import { CMSDraftsListComponent } from './cms-posts-list/cms-drafts-list.component';
import { HomeComponent } from './home/home.component';
// tslint:disable-next-line:max-line-length
import { CMSPostDetailComponent } from './cms-post-detail/cms-post-detail.component';
import { OrganizationsComponent } from './organizations/organizations.component';
import { CreditsComponent } from './credits/credits.component';
import { SiteMapComponent } from './site-map/site-map.component';
import { ChangelogComponent } from './changelog/changelog.component';
import { ContributionComponent } from './contribution/contribution.component';
import { ReusesListComponent } from './reuses-list/reuses-list.component';
import { ReuseDetailComponent } from './reuse-detail/reuse-detail.component';


export {
  CMSPageComponent,
  CMSDraftsListComponent,
  CMSPostDetailComponent,
  HomeComponent,
  OrganizationsComponent,
  CreditsComponent,
  SiteMapComponent,
  ChangelogComponent,
  ContributionComponent,
  ReusesListComponent,
  ReuseDetailComponent,
};

// tslint:disable-next-line:variable-name
export const EditorialisationComponents = [
  CMSPageComponent,
  CMSDraftsListComponent,
  CMSPostDetailComponent,
  HomeComponent,
  OrganizationsComponent,
  CreditsComponent,
  SiteMapComponent,
  ChangelogComponent,
  ContributionComponent,
  ReusesListComponent,
  ReuseDetailComponent,
];
