import { APP_CONFIG } from '../core/services/app-config.service';

export const settings = {

  // Map
  defaultBaseLayer: 0,
  baseLayers: [
    {
      id: 2,
      maxzoom: 21,
      urlJson: `${APP_CONFIG.backendUrls.openMapTiles}/styles/vector/style.json`,
      labels: {
        fr: 'Carte',
        en: 'Map',
      },
    },
    {
      id: 4,
      maxzoom: 21,
      urlJson: `${APP_CONFIG.backendUrls.openMapTiles}/styles/aerial/style.json`,
      labels: {
        fr: 'Satellite',
        en: 'Satellite',
      },
    },
  ],
};
