import { AppConfigService } from './app-config.service';
import { AppStateService } from './app-state.service';
import { EmailService } from './email.service';
import { ErrorService } from './error.service';
import { FileService } from './file.service';
import { MatomoService } from './matomo.service';
import { NavigationHistoryService } from './navigation-history.service';
import { NotificationService } from './notification.service';
import { StorageService } from './storage.service';

// tslint:disable-next-line: max-line-length
export { ErrorService, NotificationService, MatomoService, NavigationHistoryService, EmailService, FileService, AppConfigService, AppStateService, };

// tslint:disable-next-line:variable-name
export const CoreServices = [
  ErrorService,
  NotificationService,
  MatomoService,
  NavigationHistoryService,
  StorageService,
  EmailService,
  FileService,
  AppConfigService,
  AppStateService,
];
