import { Component, OnInit, Input } from '@angular/core';
import { CMSContent } from '../../../../editorialisation/models';
import { AppRoutes } from '../../../../routes';
import { notificationMessages } from '../../../../../i18n/traductions';

@Component({
  selector: 'app-result-post',
  templateUrl: './result-post.component.html',
  styleUrls: ['./result-post.component.scss'],
})
export class ResultPostComponent implements OnInit {

  AppRoutes = AppRoutes;
  notificationMessages = notificationMessages;

  @Input() post: CMSContent;

  constructor() { }

  ngOnInit() {
  }

}
